#!/usr/local/bin/perl -w
use strict;
use Tk;
my $main = new MainWindow;
$main->configure(-background => "red");

# create frames with labels and entries
my %frames =();
foreach (qw(flat groove raised ridge sunken)){
  $frames{$_} =  $main->Frame(-label => "$_", -borderwidth => 5,
                              -background => 'green', -relief => $_,
                              -takefocus => 1, 
                              -labelPack => [-side => "left",  
                                             -fill => "both", -expand => 1]
                             ) -> pack(-fill => "both", -expand => 1);
  $frames{$_}->Entry(-width => 20, -relief => $_
                    )->pack(-side => "right", -fill => "both", -expand => 1);
}
$main->Button(-text => "Exit", -command => sub { exit; }
             ) ->pack(-fill => "both", -expand => 1);
MainLoop;
