#!/usr/local/bin/perl -w
use strict;
use Tk;
my $message;
my $main = new MainWindow;
$main->Label(-textvariable => \$message
            ) ->pack(-side => "bottom", -fill => "x");
my $b1 = $main->Button(-text => "Exit", -command => \&exit
                     )->pack(-side => "left");
bind_message($b1, "Press to quit the application!");

my $b2 = $main->Button(-text => "Do nothing"
                     )->pack(-side => "left");
bind_message($b2, "This button does absolutely nothing");

my $b3 = $main->Button(-text => "Something", 
                       -command => sub { print "Something\n"; }
                     )->pack(-side => "left");
bind_message($b3, "Prints the text 'something'");

MainLoop;

sub bind_message {
  my ($widget, $msg) = @_;
  $widget->bind('<Enter>', sub { $message = $msg; } );
  $widget->bind('<Leave>', sub { $message = ""; });
}
