#!/usr/local/bin/perl -w
use strict;
use Tk;
my ($first, $last);
my $main = new MainWindow;

#Rahmen um Scrollbar und Entry Widget:
my $fr = $main->Frame()->pack(-side => "top");
my $scr = $fr->Scrollbar(-orient => "horizontal");
my $entry = $fr->Entry(-xscrollcommand => [ 'set', $scr]);

# Konfiguration der Scrollbar:
$scr->configure(-command => ['xview' => $entry]);

# Packen:
$scr->pack(-side => "bottom", -fill =>"x");
$entry->pack(-side => "top", -fill => "x");

$main->Button(-text => "GetPos", 
              -command => sub { ($first, $last) = $scr->get();
                                printf("%f : %f\n", $first, $last);
                              })->pack(-side => "top");

$main->Button(-text => "SetPos", 
              -command => sub { $scr->set($first, $last);
                              })->pack(-side => "top");
$main->Button(-text => "Exit", -command => sub { exit; })
         ->pack(-side => "bottom");

MainLoop;
