#!/usr/local/bin/perl -w
use strict;
use Tk;
my $main = new MainWindow;
$main->Button(-text => "Exit", 
              -command => sub { exit })->pack(-side => "bottom");

my $scr = $main->Scrollbar();
# Zeiger auf drei anonyme Listboxes:
my $listboxes = [ $main->Listbox(), $main->Listbox(), $main->Listbox() ];
#############################################################
# Funktion zum Scrollen der Listboxen z.B. bei
# Pfeiltastenbewegungen in einer der Listboxes
sub scroll_listboxes {
   my ($sb, $scrolled, $lbs, @args) = @_;
   # $sb: Scrollbar | $scrolled: Listbox 
   # $lbs : Zeiger auf die Liste der anonymen Listboxes
   # @args = ($first, $last) fuer set()-Methode
   $sb ->set(@args); # Schieberegler anpassen
   my ($top, $bottom) = $scrolled->yview(); # Anzeige anpassen
   foreach my $list (@$lbs) {
      $list->yviewMoveto($top); #Schieberegler setzen
   }
}
#############################################################
foreach my $list (@$listboxes){
   $list->configure(-yscrollcommand => 
          [ \&scroll_listboxes, $scr, $list, $listboxes ]);
}
$scr->configure(-command => sub { 
         foreach my $list (@$listboxes) { $list->yview(@_); }
                                });
$scr->pack(-side => 'left', -fill => 'y');
foreach my $list (@$listboxes){
   $list->pack(-side => 'left');
   $list->insert('end', "1", "2", "3", "4", "5", "6",
             "7", "8", "9", "10", "11", "12");
}
MainLoop;
